﻿@model IEnumerable<eCommerce.Services.Model.Purchase>
@using eCommerce.Services.Model.Enums

<table class="table table-hover dataTable table-striped width-full" data-plugin="dataTable">
    <thead>
        <tr>
            <th style="width:30px;">#Id</th>
            <th>Fecha</th>
            <th>Proveedor</th>
            <th class="text-center">Nro.Fact</th>
            <th class="text-center">Moneda</th>
            <th class="text-center">Pagado ($)</th>
            <th class="text-center">Total ($)</th>
            <th class="text-center">Pago</th>
            <th class="text-center">Entrega</th>
            <th class="text-center">Acciones</th>
        </tr>
    </thead>
    <tbody>
    @foreach (var item in Model)
    {
        <tr>
            <td class="text-center">@Html.DisplayFor(modelItem => item.PurchaseId)</td>
            <td>@item.Date.ToShortDateString()</td>
            <td>@Html.DisplayFor(modelItem => item.Supplier.Name)</td>
            <td class="text-center">@Html.DisplayFor(modelItem => item.InvoiceNumber)</td>
            <td class="text-center">@(item.CurrencyId == (int)CurrencyEnum.Peso ? "Pesos" : "Dolares")</td>
            <td class="text-right">@string.Format("{0:C2}", item.TotalAmountPaid)</td>
            <td class="text-right">@string.Format("{0:C2}", item.Total)</td>
            <td class="text-center">
                @switch (item.PaymentStatus.ToUpper())
                {
                    case "A PAGAR":
                        <span class="label label-outline label-danger">@item.PaymentStatus.ToUpper()</span>
                        break;
                    case "PAGO PARCIAL":
                        <span class="label label-outline label-warning">@item.PaymentStatus.ToUpper()</span>
                        break;
                    case "COBRADO":
                        <span class="label label-outline label-success">@item.PaymentStatus.ToUpper()</span>
                        break;
                } 
            </td>
            <td class="text-center">
                @switch (item.DeliveryStatus.ToUpper())
                {
                    case "A ENTREGAR":
                        <span class="label label-outline label-danger">@item.DeliveryStatus.ToUpper()</span>
                        break;
                    case "ENTREGA PARCIAL":
                        <span class="label label-outline label-warning">@item.DeliveryStatus.ToUpper()</span>
                        break;
                    case "ENTREGADO":
                        <span class="label label-outline label-success">@item.DeliveryStatus.ToUpper()</span>
                        break;
                } 
            </td>
            <td class="actions text-center">

                <!--<a href="/Purchases/PurchaseSkus?purchaseId=@item.PurchaseId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Imprimir SKU's"><i class="icon wb-print" aria-hidden="true"></i></a>-->
                
                <a href="/PurchasePayments?id=@item.PurchaseId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Pagos"><i class="icon fa-money" aria-hidden="true"></i></a>
                
                <a href="/DeliverySuppliers/DeliverySuppliersList/@item.PurchaseId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Recibir Mercadería"><i class="icon fa-bus" aria-hidden="true"></i></a>
                
                <a href="/Purchases/PurchaseUpdate/@item.PurchaseId" class="btn btn-sm btn-icon btn-pure btn-default on-default edit-row"
                   data-toggle="tooltip" data-original-title="Editar"><i class="icon wb-edit" aria-hidden="true"></i></a>
                
                <a href="javascript:void(0);" class="btn btn-sm btn-icon btn-pure btn-default on-default remove-row"
                   data-toggle="tooltip" data-original-title="Eliminar" data-rowid="@item.PurchaseId" onclick="fDeleteDialog(@item.PurchaseId)"><i class="icon wb-trash" aria-hidden="true"></i></a>
            </td>
        </tr>
    }
    </tbody>
</table>
